Skip to main content
POST
/
v4
/
memories
/
list
List memory entries with history
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({containerTags: ['user_123', 'project_abc']})
};

fetch('https://api.supermemory.ai/v4/memories/list', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "memoryEntries": [
    {
      "id": "<string>",
      "memory": "<string>",
      "version": 123,
      "isLatest": true,
      "isForgotten": true,
      "isStatic": true,
      "isInference": true,
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "spaceId": "<string>",
      "orgId": "<string>",
      "sourceCount": 123,
      "parentMemoryId": "<string>",
      "rootMemoryId": "<string>",
      "forgetAfter": "<string>",
      "forgetReason": "<string>",
      "metadata": {},
      "memoryRelations": {},
      "temporalContext": {},
      "history": [
        {
          "id": "<string>",
          "memory": "<string>",
          "version": 123,
          "createdAt": "<string>",
          "updatedAt": "<string>",
          "parentMemoryId": "<string>",
          "rootMemoryId": "<string>",
          "isLatest": true,
          "isForgotten": true
        }
      ],
      "documentIds": [
        "<string>"
      ]
    }
  ],
  "pagination": {
    "currentPage": 1,
    "limit": 10,
    "totalItems": 100,
    "totalPages": 10
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Query parameters for listing memory entries with history

containerTags
string[]
required

Container tags to filter memory entries. At least one tag is required.

Minimum array length: 1
Maximum string length: 100
Pattern: ^[a-zA-Z0-9_-]+$
Example:
["user_123", "project_abc"]
filters
object

Optional filters to apply to the search. Can be a JSON string or Query object.

limit

Number of items per page

Pattern: ^\d+$
Example:

"10"

order
enum<string>
default:desc

Sort order

Available options:
asc,
desc
Example:

"desc"

page

Page number to fetch

Pattern: ^\d+$
Example:

"1"

sort
enum<string>
default:createdAt

Field to sort by

Available options:
createdAt,
updatedAt
Example:

"createdAt"

Response

Successfully retrieved memory entries

List of memory entries with their history and source documents

memoryEntries
object[]
required
pagination
object
required

Pagination metadata

Example:
{
"currentPage": 1,
"limit": 10,
"totalItems": 100,
"totalPages": 10
}